Skip to main content
GET
List transactions

Authorizations

X-Api-Key
string
header
required

API key for authentication. Generate one from your account settings.

Query Parameters

page
integer

Page number (default: 1)

per_page
integer

Items per page (default: 25, max: 100)

account_id
string

Filter by account ID

category_id
string

Filter by category ID

merchant_id
string

Filter by merchant ID

start_date
string<date>

Filter transactions from this date

end_date
string<date>

Filter transactions until this date

min_amount
number

Filter by minimum amount

max_amount
number

Filter by maximum amount

type
enum<string>

Filter by transaction type

Available options:
income,
expense

Search by name, notes, or merchant name

account_ids
string[]

Filter by multiple account IDs

category_ids
string[]

Filter by multiple category IDs

merchant_ids
string[]

Filter by multiple merchant IDs

tag_ids
string[]

Filter by tag IDs

Response

200 - application/json

transactions filtered by date range

transactions
object[]
required
pagination
object
required